MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024187Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2013-09-18 12:562013-12-19 13:58
Reporteremv 
Assigned Tobugmaster 
PriorityurgentSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 6.6.0 
Target Version[OCCT] 6.7.0Fixed in Version[OCCT] 6.7.0 
Summary0024187: Wrong result of COMMON operation
DescriptionWrong result of COMMON operation between solid and compound of edges.
Steps To Reproducebox b1 10 10 10
circ c1 -3 5 2 5
circ c2 -3 5 8 5
mkedge e1 c1
mkedge e2 c2
compound e1 e2 b2
don b1 b2
bop b1 b2
bopcommon r
don r
Additional information
and documentation updates
In the function
  void BOPAlgo_Builder::FillInternalShapes()
added treatment for the arguments of type COMPOUND.
TagsNo tags attached.
Test case numberbugs modalg_5(010) bug24187
Attached Files

- Relationships

-  Notes
(0025641)
emv (developer)
2013-09-19 09:54

Git branch CR24187 is ready to be reviewed.
(0025644)
pkv (developer)
2013-09-19 10:25

reviewed
(0025666)
mkv (tester)
2013-09-20 08:31

Dear BugMaster,

Branch CR24187 (and products from GIT master) was compiled on Linux and Windows platforms and tested.
SHA-1: d5e16a0f7dc13f83cf1e7d8ef5b5453a9ec5cbb7

Number of compiler warnings:

occt component :
Linux: 711 (790 on master)
Windows: 240 (392 on master)

products component :
Linux: 190 (190 on master)
Windows: 287 (287 on master)

Regressions:
No regressions

Improvements:
No improvements

Testing cases:
http://occt-tests/CR24187-master-occt/Debian60-64/bugs/modalg_5/bug24187.html [^]
http://occt-tests/CR24187-master-occt/Windows-32-VC9/bugs/modalg_5/bug24187.html [^]
bugs modalg_5(010) bug24187: OK

Testing on Linux:
Total MEMORY difference: 365385336 / 366377472
Total CPU difference: 45738.73000000117 / 43409.25000000102

Testing on Windows:
Total MEMORY difference: 428250144 / 429260412
Total CPU difference: 47082.5 / 39406.953125

There are not differences in images found by testdiff.

- Related Changesets
occt: master c884a268
Timestamp: 2013-09-26 13:16:19
Author: emv
Committer: bugmaster
Details ] Diff ]
0024187: Wrong result of COMMON operation.
In the function
  void BOPAlgo_Builder::FillInternalShapes()
added treatment for the arguments of type COMPOUND.

Adding test case for issue CR24187
mod - src/BOPAlgo/BOPAlgo_Builder_3.cxx Diff ] File ]
add - tests/bugs/modalg_5/bug24187 Diff ] File ]

- Issue History
Date Modified Username Field Change
2013-09-18 12:56 emv New Issue
2013-09-18 12:56 emv Assigned To => emv
2013-09-18 12:56 emv Status new => assigned
2013-09-19 09:54 emv Note Added: 0025641
2013-09-19 09:54 emv Assigned To emv => pkv
2013-09-19 09:54 emv Priority normal => urgent
2013-09-19 09:54 emv Status assigned => resolved
2013-09-19 09:54 emv Additional Information Updated View Revisions
2013-09-19 10:25 pkv Note Added: 0025644
2013-09-19 10:25 pkv Status resolved => reviewed
2013-09-19 10:26 pkv Assigned To pkv => mkv
2013-09-20 08:31 mkv Note Added: 0025666
2013-09-20 08:32 mkv Test case number => bugs modalg_5(010) bug24187
2013-09-20 08:32 mkv Assigned To mkv => bugmaster
2013-09-20 08:32 mkv Status reviewed => tested
2013-09-26 11:00 bugmaster Target Version => 6.7.0
2013-09-30 15:53 bugmaster Changeset attached => occt master c884a268
2013-09-30 15:53 bugmaster Status tested => verified
2013-09-30 15:53 bugmaster Resolution open => fixed
2013-12-19 13:52 bugmaster Status verified => closed
2013-12-19 13:58 bugmaster Fixed in Version => 6.7.0


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker